# UpdateOrderStatus

### Description

Updates the status of an order.

Note that to call this function, you must:

* Set the AdminEncryptionKey

```csharp
bool UpdateOrderStatus (string webServiceUrl, string orderID, 
                        int orderStatus, out string response)
```

### Parameters

| Parameter     |  Type  | Description                                    |
| ------------- | :----: | ---------------------------------------------- |
| webServiceUrl | string | URL to the QLM License Server.                 |
| orderID       | string | ID of the order                                |
| orderStatus   |   int  | status of the order to set                     |
| response      | string | XML fragment containing the result of the call |

### Return

| Type | Description                                               |
| ---- | --------------------------------------------------------- |
| bool | returns true if the operation succeeded; false otherwise. |

### Response XML format

```xml
<?xml version='1.0' encoding='UTF-8'?>
<QuickLicenseManager>
<result>Order status updated successfully.</result>
</QuickLicenseManager>
```

### Example error response

```xml
<?xml version='1.0' encoding='UTF-8'?>
<QuickLicenseManager>
<error>Details about the error</error>
</QuickLicenseManager>
```

## Remarks

Use [ParseResults ](/docs/api-reference/.net-api/iqlmcustomerinfo/methods/parseresults.md)to interpret the results of the call and load the returned data into an [ILicenseInfo ](/docs/api-reference/.net-api/ilicenseinfo.md)object.

### Example

```csharp
QlmLicense license = new QlmLicense ();
license.DefineProduct(1, "Demo", 1, 0, "DemoKey", "{24EAA3C1-3DD7-40E0-AEA3-D20AA17A6005}");
string response = string.Empty;
bool stat  = license.UpdateOrderStatus ("https://qlm3.net/qlmdemo/qlmLicenseServer/qlmservice.asmx", 
                                        1234, 2, out response);
ILicenseInfo li = new LicenseInfo();
string message = string.Empty;
if (license.ParseResults(response, ref li, ref message))
{
  // The operation  was successful	
}
else
{
  // The operation failed
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/management-methods/updateorderstatus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
